#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <time.h>
#include <stdio.h>
#include <stdarg.h>
#include <fcntl.h>
#ifdef WIN32
#include <direct.h>
#include <io.h>
#include <process.h>
#define getpid _getpid
#else
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#endif

#include "dmalloc.h"
#define BFSZ 1000
void dfeed_idle(void);
int dfeed_init(void);
int dfeed_run(void);
void dfeed_exit(void);
int dfeed_reload(void);
void dfeed_status(void);
void do_reload(void);
char *strlwr(char *s);

#include "ini.h"
#include "emsg.h"
#include "tcplib.h"
#ifdef DOCOMPRESS
#include "../../zlib/zlib.h"
#endif
#include "chan.h"
#include "lib.h"
#include "feeds.h"
#include "stats.h"
#define DFEED_VERSION "1.6b"
/*
1.6b chris playing trying to improve performance 

*/
#ifdef WIN32
#define vsnprintf _vsnprintf 
#endif
